<h1>Snippets</h1>

<p>Snippets are generally small pieces of content which are included in other pages or layouts.</p>

<table id="snippets" class="index" cellpadding="0" cellspacing="0" border="0">
  <thead>
    <tr>
      <th class="snippet">Snippet</th>
      <th class="modify">Modify</th>
    </tr>
  </thead>
  <tbody>
<% unless @snippets.empty? -%>
<% for snippet in @snippets -%>
    <tr class="node level-1">
      <td class="snippet">
        <%= image "snippet", :class => "icon", :alt => 'snippet-icon', :title => '' %>
        <span><%= link_to snippet.name, snippet_edit_url(:id => snippet) %></span>
      </td>
      <td class="remove"><%= link_to image('remove', :alt => 'Remove Snippet'), snippet_remove_url(:id => snippet) %></td>
    </tr>
<% end -%>
<% else -%>
    <tr>
      <td colspan="2" class="note">No Snippets</td>
    </tr>
<% end -%>
  </tbody>
</table>
<script type="text/javascript">
// <![CDATA[
  new RuledTable('snippets');
// ]]>
</script>

<p><%= link_to image('new-snippet', :alt => 'New Snippet'), snippet_new_url %></p>
